Skip to main content

List organisation admins

GET 

/v2/onboard/organisation/admins

Lists the admins of the organisation, with pages. Use the search parameter to filter the admins by name or email address. The dashboard uses this operation for the table on the Manage Team page.

Request

Query Parameters

    offset integerrequired

    Default value: 0

    Number of records to skip for pagination. A negative or unreadable value falls back to 0.

    limit integerrequired

    Default value: 10

    Maximum number of records to return per page.

    search stringrequired

    Search term to filter results by

Responses

The admins of the organisation.

Schema
    admins object[]required

    The admins of the organisation.

  • Array [
  • admin object
    id stringrequired

    Unique identifier for the admin

    email emailrequired

    Admin's email address

    name stringrequired

    Full name of the admin

    phone stringrequired

    Admin's phone number

    imageId string

    Unique identifier for the admin's image

    imageUrl string

    URL to the admin's image

    externalId string

    External identifier for the admin

    identityProviderId string

    Identity provider ID

    roleId integerrequired

    Numeric ID of the assigned role

    roleName stringrequired

    Human-readable name of the role

    authentication objectrequired

    Configuration for authentication methods

    password object

    Configuration for password authentication

    enabled boolean
    oidcPasswordless object

    Configuration for Passwordless Login with EUDI Wallet

    enabled boolean

    Whether Passwordless Login is enabled for the user

    linked boolean

    Whether the user has linked their EUDI Wallet for Passwordless Login

    authenticatorCredentialExchangeId string

    Credential Exchange ID of the issued iGrant.io Authenticator credential

    pendingInvitation booleanrequired

    Indicates if the admin account has a pending invitation

    organizationId string

    Unique identifier for the organization

    organizationName string

    Name of the organization

  • ]
  • pagination object
    currentPage integer

    Current page number

    totalItems integer

    Total number of items available

    totalPages integer

    Total number of pages based on limit

    limit integer

    Number of items per page

    hasPrevious boolean

    Indicates if there's a previous page

    hasNext boolean

    Indicates if there's a next page

Loading...